source("functions_test.R")

library(survival)
library(Matrix)

n<-100
j<-1
type="null2"
if (type=="null") dd=0
if (type=="null2") dd=5

########################################################################
## Data generation

i<-137
set.seed(37+i)
S<-rep(c(1, 2), each=n/2)

if (type=="null") T1star<-rweibull(n=n, scale=3.2, shape=1.0)
if (type=="alternative") T1star<-rweibull(n=n, scale=2.2-dd*S, shape=1.0)
if (type!="null2") T2star<-T1star+0.5*rweibull(n=n, scale=1, shape=1)
if (type=="null2") T1star<-rweibull(n=n, scale=7.2-dd*(S-1), shape=1.0)
if (type=="null2") T2star<-rweibull(n=n, scale=7.2-dd*(S-1), shape=1.2)
C<-rweibull(n, scale=2.0, shape=5)
if (type=="null2") C<-rweibull(n, scale=3.6, shape=5)

T2<-T2star
T2[C<T2star]<-C[C<T2star]
D2<-rep(1, n)
D2[C<T2star]<-0

T1<-T1star
T1[T1star>T2|T1star>C]<-apply(cbind(T2[T1star>T2|T1star>C], C[T1star>T2|T1star>C]), 1, min)
D1<-rep(1, n)
D1[T1star>C]<-0
D1[T1star>T2]<-0
DAT<-cbind(T1, D1, T2, D2, S-1)
	
########################################################################
## Data analysis

pvals<-IE.test(DAT)
names(pvals)<-c("WLR", "IUT", "M->Y", "S->M")
pvals

